//################################################################################
// @Name : js/parameters.js
// @Description : script to parameters page
// @call : ./admin/parameters.php
// @parameters : 
// @Author : Flox
// @Create : 06/11/2020
// @Update : 03/09/2021
// @Version : 3.2.16
//################################################################################

//CTRL+S to save parameters 
$(document).keydown(function(e) {
    var key = undefined;
    var possible = [ e.key, e.keyIdentifier, e.keyCode, e.which ];
    while (key === undefined && possible.length > 0)
    {
        key = possible.pop();
    }
    if (key && (key == '115' || key == '83' ) && (e.ctrlKey || e.metaKey) && !(e.altKey))
    {
        e.preventDefault();
         $('#general_form #submit_general').click();
         $('#connector_form #submit_connector').click();
         $('#function_form #submit_function').click();
        return false;
    }
    return true;
}); 

//display smtp credential fields only if smtp_auth is checked
jQuery(function($) {
    //init
    var checkedValue = $("#mail_auth").is(":checked");
    if(checkedValue == false) $("#smtp_credential").addClass("d-none");
    //on change
    $('#mail_auth').change(function () {
        var checkedValue = $("#mail_auth").is(":checked");
        if(checkedValue == false) {$("#smtp_credential").addClass("d-none");} else {$("#smtp_credential").removeClass("d-none");}
     });
});