<?php
################################################################################
# @Name : ./admin/users/list.php
# @Description : list users
# @Call : /admin/user.php
# @Parameters : 
# @Author : Flox
# @Create : 17/09/2021
# @Update : 17/09/2021
# @Version : 3.2.16
################################################################################

//else display users list
if($_GET['action']=='')
{
	//display buttons
	echo '
		<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large">
			<p>
				<button onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=add";\' class="btn btn-success">
					<i class="fa fa-plus"><!----></i> '.T_('Ajouter un utilisateur').'
				</button>
				';
				if($_GET['disable']==0)
				{
			    	echo '
    				<button onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;disable=1";\' class="btn btn-danger">
    					<i class="fa fa-ban"><!----></i> '.T_('Afficher les utilisateurs désactivés').'
    				</button>
			    	';
				} else {
			    echo '
    				<button onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;disable=0";\' class="btn btn-success">
    					<i class="fa fa-check"><!----></i> '.T_('Afficher les utilisateurs activés').'
    				</button>
			    	';  
				}

		if($rparameters['ldap']==1 && $rparameters['ldap_agency']==0)
		{
			echo '
				<button id="ldap_button" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;ldap=1";\' class="btn btn-info">
					<i class="fa fa-sync"><!----></i> '.T_('Synchronisation LDAP').'
				</button>
			';
		}
		if($rparameters['ldap']==1 && $rparameters['ldap_agency']==1)
		{
			echo '
				<button onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;ldap=agencies";\' class="btn btn-info">
					<i class="fa fa-sync"><!----></i> '.T_('Synchronisation des agences LDAP').'
				</button>
			';
		}
		if($rparameters['ldap']==1 && $rparameters['ldap_service']==1)
		{
			echo '
				<button onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;ldap=services";\' class="btn  btn-info">
					<i class="fa fa-sync"><!----></i> '.T_('Synchronisation des services LDAP').'
				</button>
			';
		}
	echo'
			</p>
		</div>
	';
	//Display user table
	if($_GET['way']=='DESC') $nextway='ASC'; else $nextway='DESC'; //find next way

	//build query
	$from='tusers';
	$where='';
	$join='';
	if($rparameters['user_agency']) {$join="LEFT OUTER JOIN tusers_agencies ON tusers_agencies.user_id=tusers.id LEFT OUTER JOIN tagencies ON tagencies.id=tusers_agencies.agency_id ";}
	$join.="
	LEFT OUTER JOIN tusers_services ON tusers_services.user_id=tusers.id 
	LEFT OUTER JOIN tservices ON tservices.id=tusers_services.service_id
	LEFT OUTER JOIN tcompany ON tcompany.id=tusers.company ";
	$where.="
	profile LIKE :profile AND
	tusers.id!=:id AND
	tusers.disable=:disable AND
	tusers.login!='delete_user_gs' AND
	(
	";
	if($rparameters['user_agency']) {$where.="tagencies.name LIKE :agency_name OR ";}
	$where.="
		tusers.lastname LIKE :lastname OR
		tusers.firstname LIKE :firstname OR
		tusers.mail LIKE :mail OR
		tusers.phone LIKE :phone OR
		tusers.mobile LIKE :mobile OR
		tusers.login LIKE :login OR
		tservices.name LIKE :service_name  OR
		tcompany.name LIKE :company
	)
	ORDER BY $db_order $db_way
	LIMIT $db_cursor,$maxline ";
	if($rparameters['debug']) {
		echo "
		<b><u>DEBUG MODE:</u></b><br />
		SELECT distinct tusers.* 
		FROM $from
		$join
		WHERE $where
		";
	}
	echo '
		<div class="mt-0 mt-lg-0 card bcard h-auto overflow-hidden shadow border-0">
			<div class="card-body p-0 table-responsive-xl">
				<table id="sample-table-1" class="table text-dark-m1 brc-black-tp10 mb-1 table-hover">
					<thead>
						<tr class="bgc-white text-secondary-d3 text-95">
							<th class="py-3 pl-35" style="min-width:220px;">
								<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=lastname&amp;way='.$nextway.'">
									<i class="fa fa-male"><!----></i> '.T_('Nom Prénom').'
									';
										if($_GET['order']=='lastname')
										{
										if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
										if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
										}
									echo '
								</a>
							</th>
							<th class="py-3 pl-35" style="min-width:140px;">
								<a  href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=login&amp;way='.$nextway.'">
									<i class="fa fa-user"><!----></i> '.T_('Identifiant').'
									';
										if($_GET['order']=='login')
										{
										if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
										if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
										}
									echo '
								</a>
							</th>
							';
							if($rparameters['user_advanced']==1)
							{
								echo '
								<th class="py-3 pl-35" style="min-width:120px;">
									<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=company&amp;way='.$nextway.'">
										<i class="fa fa-building "><!----></i> '.T_('Société').'
										';
											if($_GET['order']=='company')
											{
											if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
											if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
											}
										echo '
									</a>
								</th>
								';
							}
							if($rparameters['user_agency']==1)
							{
								echo '
								<th class="py-3 pl-35" style="min-width:130px;">
									<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=tagencies.name&amp;way='.$nextway.'">
										<i class="fa fa-globe "><!----></i> '.T_('Agences').'
										';
											if($_GET['order']=='tagencies.name')
											{
											if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
											if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
											}
										echo '
									</a>
								</th>
								';
							}
							echo '
							<th class="py-3 pl-35" style="min-width:120px;">
								<a class="text-primary-m2"href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=tservices.name&amp;way='.$nextway.'">
									<i class="fa fa-users"><!----></i> '.T_('Services').'
									';
										if($_GET['order']=='tservices.name')
										{
										if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
										if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
										}
									echo '
								</a>
							</th>
							<th class="py-3 pl-35">
								<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=tusers.mail&amp;way='.$nextway.'">
									<i class="fa fa-envelope"><!----></i> '.T_('Mail').'
									';
										if($_GET['order']=='tusers.mail')
										{
										if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
										if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
										}
									echo '
								</a>
							</th>
							<th class="py-3 pl-35" style="min-width:140px;">
								<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=phone&amp;way='.$nextway.'">
									<i class="fa fa-phone"><!----></i> '.T_('Téléphone').'
									';
										if($_GET['order']=='phone')
										{
										if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
										if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
										}
									echo '
								</a>
							</th>
							<th class="py-3 pl-35" style="min-width:100px;">
								<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=profile&amp;way='.$nextway.'">
									<i class="fa fa-lock"><!----></i> '.T_('Profil').'
									';
										if($_GET['order']=='profile')
										{
										if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
										if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
										}
									echo '
								</a>
							</th>
							<th class="py-3 pl-35" style="min-width:160px;">
								<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=last_login&amp;way='.$nextway.'">
									<i class="fa fa-key"><!----></i> '.T_('Connexion').'
									';
										if($_GET['order']=='last_login')
										{
										if($_GET['way']=='ASC')  echo '<i class="fa fa-sort-up"><!----></i>';
										if($_GET['way']=='DESC') echo '<i class="fa fa-sort-down"><!----></i>';
										}
									echo '
								</a>
							</th>
							<th class="py-3 pl-35" style="min-width:110px;">
								<a class="text-primary-m2" href="index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order=lastname&amp;way='.$nextway.'">
									<i class="fa fa-play"><!----></i> '.T_('Actions').'&nbsp;&nbsp;
								</a>
							</th>
						</tr>
					</thead>
					<tbody>';
						
						//build each line
						$qry = $db->prepare("
							SELECT distinct tusers.* 
							FROM $from
							$join
							WHERE $where
						");
						
						
						if($rparameters['user_agency']) //agency case add name in searchengine
						{
							$qry->execute(array(
								'profile' => $_GET['profileid'],
								'id' => 0,
								'disable' => $_GET['disable'],
								'agency_name' => "%$userkeywords%",
								'lastname' => "%$userkeywords%",
								'firstname' => "%$userkeywords%",
								'mail' => "%$userkeywords%",
								'phone' => "%$userkeywords%",
								'mobile' => "%$userkeywords%",
								'login' => "%$userkeywords%",
								'service_name' => "%$userkeywords%",
								'company' => "%$userkeywords%",
							));
						} else {
							$qry->execute(array(
								'profile' => $_GET['profileid'],
								'id' => 0,
								'disable' => $_GET['disable'],
								'lastname' => "%$userkeywords%",
								'firstname' => "%$userkeywords%",
								'mail' => "%$userkeywords%",
								'phone' => "%$userkeywords%",
								'mobile' => "%$userkeywords%",
								'login' => "%$userkeywords%",
								'service_name' => "%$userkeywords%",
								'company' => "%$userkeywords%",
							));
						}
						
						
						while ($row = $qry->fetch()) 
						{
							//find profile name
							$qry2 = $db->prepare("SELECT `name` FROM `tprofiles` WHERE level=:level");
							$qry2->execute(array('level' => $row['profile']));
							$r=$qry2->fetch();
							$qry2->closeCursor();
							//display last login if exist
							if($row['last_login']=='0000-00-00 00:00:00') $lastlogin=''; else $lastlogin=substr($row['last_login'],0,16);
							//first letter of lastname
							$firstname_letter=mb_strtoupper(mb_substr($row['firstname'],0,1));
							if(empty($firstname_letter)) {$firstname_letter='';}
							$lastname_letter=mb_strtoupper(mb_substr($row['lastname'],0,1));
							if(empty($lastname_letter)) {$lastname_letter='';}
							if($row['profile']==0)$lastname_letter_color='bgc-grey';
							if($row['profile']==1)$lastname_letter_color='bgc-green';
							if($row['profile']==2)$lastname_letter_color='bgc-primary';
							if($row['profile']==3)$lastname_letter_color='bgc-orange';
							if($row['profile']==4)$lastname_letter_color='bgc-dark';
							
							//display line <span class="d-inline-block w-4 h-4 '.$lastname_letter_color.' text-white  text-center pt-1 radius-round">'.$firstname_letter.$lastname_letter.'</span>
							echo '
								<tr class="bgc-h-orange-l4">
									<td class="text-secondary-d2 text-95 text-600" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >
										
										<span class="d-inline-block text-center mr-2 pt-1 w-4 h-4 radius-round '.$lastname_letter_color.' text-white font-bolder text-100">'.$firstname_letter.$lastname_letter.'</span>
										'.mb_strtoupper($row['lastname']).' '.ucfirst(mb_substr($row['firstname'],0,1)).mb_strtolower(mb_substr($row['firstname'],1)).' 
									</td>
									<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >'.$row['login'].'</td>
									';
									if($rparameters['user_advanced']==1) {
										//get company name
										$qry2 = $db->prepare("SELECT `name` FROM `tcompany` WHERE id=:id");
										$qry2->execute(array('id' => $row['company']));
										$row2=$qry2->fetch();
										$qry2->closeCursor();
										if(empty($row2['name'])) {$row2['name']='';}
										echo '<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >'.$row2['name'].'</td>';
									}
									if($rparameters['user_agency']==1) {
										//get agencies name
										echo '<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >';
										$qry2 = $db->prepare("SELECT `agency_id` FROM `tusers_agencies` WHERE user_id=:user_id");
										$qry2->execute(array('user_id' => $row['id']));
										while ($row2=$qry2->fetch())
										{
											$qry3 = $db->prepare("SELECT `name` FROM `tagencies` WHERE id=:id");
											$qry3->execute(array('id' => $row2['agency_id']));
											$row3 = $qry3->fetch();
											echo "$row3[name]<br />";
											$qry3->closecursor();
										}
										$qry2->closecursor();
										echo '</td>';
									}
									echo '
									<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >
									';
										$qry2 = $db->prepare("SELECT `service_id` FROM `tusers_services` WHERE user_id=:user_id");
										$qry2->execute(array('user_id' => $row['id']));
										while ($row2=$qry2->fetch())
										{
											$qry3 = $db->prepare("SELECT `name` FROM `tservices` WHERE id=:id");
											$qry3->execute(array('id' => $row2['service_id']));
											$row3 = $qry3->fetch();
											if(empty($row3['name'])) {$row3['name']='';}
											echo "$row3[name]<br />";
											$qry3->closecursor();
										}
										$qry2->closecursor();
									echo'
									</td>
									<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >'.$row['mail'].'</td>
									<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >'.$row['phone'].' '.$row['mobile'].'</td>
									<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >'.T_($r['name']).'</td>
									<td class="text-dark-m3" onclick=\'window.location.href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'";\' >'.$lastlogin.'</td>
									<td>
									
										<a class="action-btn btn btn-sm btn-warning mr-1" href="index.php?page=admin&amp;subpage=user&amp;action=edit&amp;userid='.$row['id'].'&amp;tab=infos&amp;disable='.$_GET['disable'].'"  title="'.T_("Modifier l'utilisateur").'" ><i style="color:#FFF;" class="fa fa-pencil-alt"><!----><!----></i></a>';
										if(($row['disable']!=1) && ($row['id']!=$_SESSION['user_id']))
										{
											echo '<a class="action-btn btn btn-sm btn-danger" href="index.php?page=admin&amp;subpage=user&amp;userid='.$row['id'].'&amp;action=disable"  title="'.T_("Désactiver l'utilisateur").'" ><i class="fa fa-ban "><!----><!----></i></a>';
										} elseif($row['id']!=$_SESSION['user_id'])
										{
											echo '<a class="action-btn btn btn-sm btn-success mr-1" href="index.php?page=admin&amp;subpage=user&amp;userid='.$row['id'].'&amp;action=enable"  title="'.T_("Activer l'utilisateur").'" ><i class="fa fa-check"><!----><!----></i></a>';
										}
										if($rright['admin'] && $row['disable']==1)
										{
											echo '<a class="action-btn btn btn-sm btn-danger" onClick="javascript: return confirm(\''.T_('Êtes-vous sur de vouloir supprimer définitivement cet utilisateur ? information également supprimée sur tous les tickets et dans tous le logiciel').'\');" href="index.php?page=admin&amp;subpage=user&amp;userid='.$row['id'].'&amp;action=delete&amp;disable='.$_GET['disable'].'"  title="'.T_("Supprimer l'utilisateur").'" ><i class="fa fa-trash"><!----></i></a>';
										}
										echo '
									
									</td>
								</tr>
							';
						}
						$qry->closecursor();
						echo '
					</tbody>
				</table>
			</div>
		</div>
	';
	//multi-pages link
	if(!$_GET['cursor'])
	{
		$qry = $db->prepare("
			SELECT COUNT(DISTINCT tusers.id)
			FROM $from
			$join
			WHERE $where
			");
		if($rparameters['user_agency']) //agency case add name in searchengine
		{
			$qry->execute(array(
				'profile' => $_GET['profileid'],
				'id' => 0,
				'disable' => $_GET['disable'],
				'agency_name' => "%$userkeywords%",
				'lastname' => "%$userkeywords%",
				'firstname' => "%$userkeywords%",
				'mail' => "%$userkeywords%",
				'phone' => "%$userkeywords%",
				'mobile' => "%$userkeywords%",
				'login' => "%$userkeywords%",
				'service_name' => "%$userkeywords%",
				'company' => "%$userkeywords%",
			));
		} else {
			$qry->execute(array(
				'profile' => $_GET['profileid'],
				'id' => 0,
				'disable' => $_GET['disable'],
				'lastname' => "%$userkeywords%",
				'firstname' => "%$userkeywords%",
				'mail' => "%$userkeywords%",
				'phone' => "%$userkeywords%",
				'mobile' => "%$userkeywords%",
				'login' => "%$userkeywords%",
				'service_name' => "%$userkeywords%",
				'company' => "%$userkeywords%",
			));
		}
	}
	else
	{
		$qry = $db->prepare("
		SELECT COUNT(DISTINCT tusers.id)
		FROM $from
		$join
		WHERE 
		tusers.disable=:disable
		");
		$qry->execute(array('disable' => $_GET['disable']));
	}
				
	$resultcount = $qry->fetch();
	//multi-pages link
	if($resultcount[0]>$rparameters['maxline'])
	{
		//count number of page
		$total_page=ceil($resultcount[0]/$rparameters['maxline']);
		echo '
		<div class="row justify-content-center mt-4">
			<nav aria-label="Page navigation">
				<ul class="pagination nav-tabs-scroll is-scrollable">';
					//display previous button if it's not the first page
					if($_GET['cursor']!=0)
					{
						$cursor=$_GET['cursor']-$rparameters['maxline'];
						echo '<li class="page-item"><a class="page-link" title="'.T_('Page précédente').'" href="./index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order='.$_GET['order'].'&amp;way='.$_GET['way'].'&amp;cursor='.$cursor.'"><i class="fa fa-arrow-left"><!----></i></a></li>';
					}
					//display first page
					if($_GET['cursor']==0){$active='active';} else {$active='';}
					echo '<li class="page-item '.$active.'"><a class="page-link" title="'.T_('Première page').'" href="./index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order='.$_GET['order'].'&amp;way='.$_GET['way'].'&amp;cursor=0">&nbsp;1&nbsp;</a></li>';
					//calculate current page
					$current_page=($_GET['cursor']/$rparameters['maxline'])+1;
					//calculate min and max page 
					if(($current_page-3)<3) {$min_page=2;} else {$min_page=$current_page-3;}
					if(($total_page-$current_page)>3) {$max_page=$current_page+4;} else {$max_page=$total_page;}
					//display all pages links
					for ($page = $min_page; $page <= $total_page; $page++) {
						//display start "..." page link
						if(($page==$min_page) && ($current_page>5)){echo '<li class="page-item"><a class="page-link" title="'.T_('Pages masqués').'" href="">&nbsp;...&nbsp;</a></li>';}
						//init cursor
						if($page==1) {$cursor=0;}
						$selectcursor=$rparameters['maxline']*($page-1);
						if($_GET['cursor']==$selectcursor){$active='active';} else	{$active='';}
						$cursor=(-1+$page)*$rparameters['maxline'];
						//display page link
						if($page!=$max_page) echo '<li class="page-item '.$active.'"><a class="page-link" title="'.T_('Page').' '.$page.'" href="./index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order='.$_GET['order'].'&amp;way='.$_GET['way'].'&amp;cursor='.$cursor.'">&nbsp;'.$page.'&nbsp;</a></li>';
						//display end "..." page link
						if(($page==($max_page-1)) && ($page!=$total_page-1)) {
							echo '<li class="page-item"><a class="page-link" title="'.T_('Pages masqués').'" href="">&nbsp;...&nbsp;</a></li>';
						}
						//cut if there are more than 3 pages
						if($page==($current_page+4)) {
							$page=$total_page;
						} 
					}
					//display last page
					$cursor=($total_page-1)*$rparameters['maxline'];
					if($_GET['cursor']==$selectcursor){$active='active';} else	{$active='';}
					echo '<li class="page-item '.$active.'"><a class="page-link" title="'.T_('Dernière page').'" href="./index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order='.$_GET['order'].'&amp;way='.$_GET['way'].'&amp;cursor='.$cursor.'">&nbsp;'.$total_page.'&nbsp;</a></li>';
					//display next button if it's not the last page
					if($_GET['cursor']<($resultcount[0]-$rparameters['maxline']))
					{
						$cursor=$_GET['cursor']+$rparameters['maxline'];
						echo '<li class="page-item"><a class="page-link" title="'.T_('Page suivante').'" href="./index.php?page=admin&amp;subpage=user&amp;disable='.$_GET['disable'].'&amp;order='.$_GET['order'].'&amp;way='.$_GET['way'].'&amp;cursor='.$cursor.'"><i class="fa fa-arrow-right"><!----></i></a></li>';
					}
					echo '
				</ul>
			</nav>
		</div>
	';
	}
}
?>